package com.ruoyi.orderPlan.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 订单调度对象 F_TMSORDERBILLSPLANS
 *
 * @author ruoyi
 * @date 2021-02-22
 */
public class Ftmsorderbillsplans extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 主表id
     */
    @Excel(name = "主表id")
    private Long pId;

    /**
     * 计划主表id
     */
    @Excel(name = "计划主表id")
    private Long orgId;

    /**
     * 集装箱类型ID，来自主表
     */
    @Excel(name = "集装箱类型ID，来自主表")
    private Long cntrId;

    /**
     * 集装箱数量
     */
    @Excel(name = "集装箱数量")
    private Long cntrQty;

    /**
     * 已安排数量
     */
    @Excel(name = "已安排数量")
    private Long carQty;

    /**
     * 已发出集装箱数量
     */
    @Excel(name = "已发出集装箱数量")
    private Long planCntrQty;

    /**
     * 车队id
     */
    @Excel(name = "车队id")
    private Long carcorPid;

    /**
     * 应付运价计价方式
     */
    @Excel(name = "应付运价计价方式")
    private String pricecrType;

    /**
     * 应付运价
     */
    @Excel(name = "应付运价")
    private BigDecimal pricecr;

    /**
     * 是否要求车队开票(0是不需要，1是需要)
     */
    @Excel(name = "是否要求车队开票(0是不需要，1是需要)")
    private String ifNeedInvCr;

    /**
     * 车号列表，根据派车自动生成
     */
    @Excel(name = "车号列表，根据派车自动生成")
    private String carnolist;

    /**
     * 调度提交时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "调度提交时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planDate;

    /**
     * 计划安排备注
     */
    @Excel(name = "计划安排备注")
    private String planreMarks;

    /**
     * 车队受理时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "车队受理时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date acceptDate;

    /**
     * 车队受理备注
     */
    @Excel(name = "车队受理备注")
    private String acceptRemarks;

    /**
     * 状态(1新建，2暂存，6提交)
     */
    @Excel(name = "状态(1新建，2暂存，3撤销，6提交，20派车暂存，50派车变更中，60派车提交)")
    private Long billStatus;

    /**
     * 删除状态
     */
    private String delFlag;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 运输性质1重去重回2重去空回3空去重回
     */
    @Excel(name = "运输性质1重去重回2重去空回3空去重回")
    private String transProp;

    /** 应收运价 */
    @Excel(name = "应收运价")
    private BigDecimal freightPriceDr;

    /** 应付运价 */
    @Excel(name = "应付运价")
    private BigDecimal freightPriceCr;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getpId() {
        return pId;
    }

    public void setpId(Long pId) {
        this.pId = pId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getCntrId() {
        return cntrId;
    }

    public void setCntrId(Long cntrId) {
        this.cntrId = cntrId;
    }

    public Long getCntrQty() {
        return cntrQty;
    }

    public void setCntrQty(Long cntrQty) {
        this.cntrQty = cntrQty;
    }

    public Long getCarQty() {
        return carQty;
    }

    public void setCarQty(Long carQty) {
        this.carQty = carQty;
    }

    public Long getPlanCntrQty() {
        return planCntrQty;
    }

    public void setPlanCntrQty(Long planCntrQty) {
        this.planCntrQty = planCntrQty;
    }

    public Long getCarcorPid() {
        return carcorPid;
    }

    public void setCarcorPid(Long carcorPid) {
        this.carcorPid = carcorPid;
    }

    public String getPricecrType() {
        return pricecrType;
    }

    public void setPricecrType(String pricecrType) {
        this.pricecrType = pricecrType;
    }

    public BigDecimal getPricecr() {
        return pricecr;
    }

    public void setPricecr(BigDecimal pricecr) {
        this.pricecr = pricecr;
    }

    public String getIfNeedInvCr() {
        return ifNeedInvCr;
    }

    public void setIfNeedInvCr(String ifNeedInvCr) {
        this.ifNeedInvCr = ifNeedInvCr;
    }

    public String getCarnolist() {
        return carnolist;
    }

    public void setCarnolist(String carnolist) {
        this.carnolist = carnolist;
    }

    public Date getPlanDate() {
        return planDate;
    }

    public void setPlanDate(Date planDate) {
        this.planDate = planDate;
    }

    public String getPlanreMarks() {
        return planreMarks;
    }

    public void setPlanreMarks(String planreMarks) {
        this.planreMarks = planreMarks;
    }

    public Date getAcceptDate() {
        return acceptDate;
    }

    public void setAcceptDate(Date acceptDate) {
        this.acceptDate = acceptDate;
    }

    public String getAcceptRemarks() {
        return acceptRemarks;
    }

    public void setAcceptRemarks(String acceptRemarks) {
        this.acceptRemarks = acceptRemarks;
    }

    public Long getBillStatus() {
        return billStatus;
    }

    public void setBillStatus(Long billStatus) {
        this.billStatus = billStatus;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public BigDecimal getFreightPriceDr() {
        return freightPriceDr;
    }

    public void setFreightPriceDr(BigDecimal freightPriceDr) {
        this.freightPriceDr = freightPriceDr;
    }

    public BigDecimal getFreightPriceCr() {
        return freightPriceCr;
    }

    public void setFreightPriceCr(BigDecimal freightPriceCr) {
        this.freightPriceCr = freightPriceCr;
    }

    public String getTransProp() {
        return transProp;
    }

    public void setTransProp(String transProp) {
        this.transProp = transProp;
    }

    @Override
    public String toString() {
        return "Ftmsorderbillsplans{" +
                "id=" + id +
                ", pId=" + pId +
                ", orgId=" + orgId +
                ", cntrId=" + cntrId +
                ", cntrQty=" + cntrQty +
                ", carQty=" + carQty +
                ", planCntrQty=" + planCntrQty +
                ", carcorPid=" + carcorPid +
                ", pricecrType='" + pricecrType + '\'' +
                ", pricecr=" + pricecr +
                ", ifNeedInvCr='" + ifNeedInvCr + '\'' +
                ", carnolist='" + carnolist + '\'' +
                ", planDate=" + planDate +
                ", planreMarks='" + planreMarks + '\'' +
                ", acceptDate=" + acceptDate +
                ", acceptRemarks='" + acceptRemarks + '\'' +
                ", billStatus=" + billStatus +
                ", delFlag='" + delFlag + '\'' +
                ", remarks='" + remarks + '\'' +
                ", transProp='" + transProp + '\'' +
                ", freightPriceDr=" + freightPriceDr +
                ", freightPriceCr=" + freightPriceCr +
                '}';
    }
}
